Ticket #21816

SystemComponent値のキャスト失敗

Open Date: 2010-05-20 16:36 Last Update: 2010-09-12 16:05

Reporter:
(Anonymous)
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

種類REG_SZ、長さ0のSystemComponent値を設定するアプリケーション(例:Microsoft Office Professional Plus 2007)がインストールされていると、int型へのキャストに失敗して、強制終了します。

System.InvalidCastException: 指定されたキャストは有効ではありません。
   場所 NaGet.Packages.Install.UninstallInformation.NewInstance(RegistryKey regKey) 場所 d:\works\AppliStation\na-get-lib\NaGet.Packages.Install\UninstallInformation.cs:行 138

Ticket History (3/3 Histories)

2010-05-20 16:36 Updated by: None
  • New Ticket "SystemComponent値のキャスト失敗" created
2010-05-22 10:39 Updated by: ttp
Comment

報告ありがとうございました。gitの方には修正が入っております (826b1b613118e370d33ec78c21e052a5733291d3)。 次期リリースには本修正が含まれる予定です。

注:http://sourceforge.jp/forum/message.php?msg_id=50437 と同じ

2010-09-12 16:05 Updated by: ttp
  • Ticket Close date is changed to 2010-09-12 16:05
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login